Loading...
Searching...
No Matches
renderer.h File Reference

Go to the source code of this file.

## Typedefs

typedef struct ARC_RendererType | ARC_Renderer

## Functions

void | ARC_Renderer_CreateWithEngineData (ARC_Renderer **renderer, ARC_EngineData *data)
| creates ARC_Renderer type with ARC_EngineData
void | ARC_Renderer_Destroy (ARC_Renderer *renderer)
| destroys ARC_Renderer type
void | ARC_Renderer_Clear (ARC_Renderer *renderer)
void | ARC_Renderer_Render (ARC_Renderer *renderer)
| renders the renderer

## Typedef Documentation

## ARC_Renderer

typedef struct ARC_RendererType ARC_Renderer

Note
  ARC_RendererType is determined by which window library you are using

Definition at line 16 of file renderer.h.

## Function Documentation

## ARC_Renderer_Clear()

void ARC_Renderer_Clear | ( | ARC_Renderer * | renderer | ) |

@breif clears the renderer

Parameters

  renderer | the renderer to clear

## ARC_Renderer_CreateWithEngineData()

void ARC_Renderer_CreateWithEngineData | ( | ARC_Renderer ** | renderer,
|  | ARC_EngineData * | data )

creates ARC_Renderer type with ARC_EngineData

Note
  the parameter data is determined by which graphics library you are using please refer to the graphics library section to see what needs to be passed

Parameters

  renderer | ARC_Renderer to initialize
  data | the engine data to create from

## ARC_Renderer_Destroy()

void ARC_Renderer_Destroy | ( | ARC_Renderer * | renderer | ) |

destroys ARC_Renderer type

Parameters

  renderer | ARC_Renderer to destory

## ARC_Renderer_Render()

void ARC_Renderer_Render | ( | ARC_Renderer * | renderer | ) |

renders the renderer

Note
  the renderer will most likely be drawn to from ARC_EngineData

Parameters

  renderer | the renderer to render